scf2read(3)

NAME

scf2read, read2scf, exp2read, read2exp - Translate to and from the Read structure.

SYNOPSIS

#include <Read.h>

Read *scf2read(
	Scf *scf);

Scf *read2scf(
	Read *read);

Exp_info *read2exp(
	Read *read,
	char *EN);

Read *exp2read(
	Exp_info *e);

DESCRIPTION

These functions are used internally by the io library for converting between the in memory representations of the supported file formats. The Read structure is the central format so only conversion to and from this structure is available. Conversions consist of to and from the SCF format and to and from the Experiment File format.

scf2read() converts an Scf structure into a Read structure. The Read structure is allocated by the function. The Scf structure is left unchanged.

read2scf() converts a Read structure into an Scf structure. The Scf structure is allocated by the function. The Read structure is left unchanged.

exp2read() converts an Exp_info structure into a Read structure. The entryname to use in the EN line type of the Experiment File must be specified. The Read structure is allocated by the function. The Exp_info structure is left unchanged.

read2exp() converts a Read structure into an Exp_info structure. The Exp_info structure is allocated by the function. The Read structure is left unchanged.

RETURN VALUES

On successful completion, the scf2read() and exp2read functions return a pointer to an allocated Read structure. Otherwise these functions return NULLRead.

On successful completion, the read2scf function returns a pointer to an allocated Scf structure. Otherwise this function returns a null pointer.

On successful completion, the read2exp function returns a pointer to an allocated Exp_info structure. Otherwise this function returns a null pointer.

SEE ALSO

read_reading(3), fread_reading(3), write_reading(3), fwrite_reading(3), scf(4), ExperimentFile(4)